Log4j 1.2.8

## org.apache.log4j.config
Class PropertySetterException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.log4j.config.PropertySetterException

All Implemented Interfaces:
  Serializable

public class PropertySetterException
extends Exception

Thrown when an error is encountered whilst attempting to set a property using the `PropertySetter` utility class.

Since:
  1.1
Author:
  Anders Kristensen
See Also:
  Serialized Form

Field Summary
`protected Throwable` `rootCause`

Constructor Summary
`PropertySetterException(String msg)`
`PropertySetterException(Throwable rootCause)`

Method Summary
`String` `getMessage()` Returns descriptive text on the cause of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### rootCause

    protected Throwable rootCause

Constructor Detail

### PropertySetterException

    public PropertySetterException(String msg)

### PropertySetterException

    public PropertySetterException(Throwable rootCause)

Method Detail

### getMessage

    public String getMessage()

  Returns descriptive text on the cause of this exception.
  Overrides:
    `getMessage` in class `Throwable`

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.